stages:
    - s1
    - s2
    - s3
    - s4

default:
    image : alpine:latest

j1:
    stage : s1
    script:
        - sleep 5
        - echo "Job j1 fin"

j2:
    stage : s1
    script:
        - sleep 20
        - echo "Job j2 fin"

j3:
    stage : s1
    script:
        - sleep 3
        - echo "Job j3 fin"

j4:
    stage : s2
    needs : [j1,j2]
    script:
        - sleep 5
        - echo "Job j4 fin"

j5:
    stage : s2
    needs : [j3]
    script:
        - sleep 5
        - echo "Job j5 fin"

j6:
    stage : s3
    needs : [j4]
    script:
        - sleep 5
        - echo "Job j6 fin"

j7:
    stage : s3
    needs : [j5]
    script:
        - sleep 5
        - echo "Job j7 fin"

j8:
    stage : s4
    needs : [j1]
    script:
        - sleep 5
        - echo "Job j8 fin"

j9:
    stage : s4
    needs : [j6,j7]
    script:
        - sleep 5
        - echo "Job j9 fin"

j10:
    stage : s4
    needs : [j5]
    script:
        - sleep 5
        - echo "Job j10 fin"



